import { trigger, transition, animate, style, state } from '@angular/animations';

export const flipAnimation = trigger('flipState', [
  state('true', style({ transform: 'scale(1) rotateY(180deg)' })),
  state('false', style({})),
  transition('true => false', [animate(600)]),
  transition('false => true', [animate(600, style({ transform: 'rotateY(180deg)' }))]),
]);
